LibreOffice LibreOffice 25.8 SDK API Reference

Exported Interfaces | List of all members
Java2 Service Referencepublished

the same as com::sun::star::loader::Java. More...

`import"Java2.idl";`

Inheritance diagram for Java2:

## Exported Interfaces
interface | XImplementationLoader

## Additional Inherited Members
Public Member Functions inherited from XImplementationLoader
com::sun::star::uno::XInterface | activate ([in] string implementationName, [in] string implementationLoaderUrl, [in] string locationUrl, [in] com::sun::star::registry::XRegistryKey xKey) raises ( com::sun::star::loader::CannotActivateFactoryException )
| activates a concrete implementation within a component. More...
boolean | writeRegistryInfo ([in] com::sun::star::registry::XRegistryKey xKey, [in] string implementationLoaderUrl, [in] string locationUrl) raises ( com::sun::star::registry::CannotRegisterImplementationException )
| writes a list of all implementations hosted by this component into a registry key. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

the same as com::sun::star::loader::Java.

This service was introduced for UNO 3 components. The then com::sun::star::loader::Java service was intended for UNO 2 components. Since UNO 2 is not supported anymore, the service name is reused again.

Deprecated:

## Exported Interfaces

## ◆ XImplementationLoader

interface XImplementationLoader

The documentation for this service was generated from the following file:

- com/sun/star/loader/Java2.idl